#!/bin/sh

# $Id$

OLDPWD=$PWD
DIRNAME=`basename $PWD`

if [ -z "${VERSION:=$1}" ]
then
    echo "VERSION environment variable not set"
    exit 1
fi

if [ $DIRNAME != "nomadII-utils-$VERSION" ]
then
    echo "this distribution must be in a directory called nomadII-utils-$VERSION for packaging"
    exit 1;
fi

cd ..
tar -czf /tmp/$DIRNAME.tgz $DIRNAME
cd $OLDPWD

mv /tmp/$DIRNAME.tgz .
